org.hibernate.search.elasticsearch.impl

## Class DefaultElasticsearchService

- java.lang.Object
- - org.hibernate.search.elasticsearch.impl.DefaultElasticsearchService

- All Implemented Interfaces:
    ElasticsearchService, Service, Startable, Stoppable

      public class DefaultElasticsearchService
      extends Object
      implements ElasticsearchService, Startable, Stoppable

  Provides access to the JEST client.
  Author:
    Gunnar Morling, Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultElasticsearchService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElasticsearchAnalyzerStrategyFactory` | `getAnalyzerStrategyFactory()`
    `GsonProvider` | `getGsonProvider()`
    `MissingValueStrategy` | `getMissingValueStrategy()`
    `ElasticsearchQueryFactory` | `getQueryFactory()`
    `ElasticsearchQueryOptions` | `getQueryOptions()`
    `ElasticsearchSchemaCreator` | `getSchemaCreator()`
    `ElasticsearchSchemaDropper` | `getSchemaDropper()`
    `ElasticsearchSchemaMigrator` | `getSchemaMigrator()`
    `ElasticsearchSchemaTranslator` | `getSchemaTranslator()`
    `ElasticsearchSchemaValidator` | `getSchemaValidator()`
    `ElasticsearchWorkFactory` | `getWorkFactory()`
    `ElasticsearchWorkProcessor` | `getWorkProcessor()`
    `void` | `start(Properties unkmaskedProperties, BuildContext context)` Start phase notification.
    `void` | `stop()` Stop phase notification

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultElasticsearchService

          public DefaultElasticsearchService()

  - ### Method Detail

    - #### start

          public void start(Properties unkmaskedProperties,
                            BuildContext context)

      Description copied from interface: `Startable`
      Start phase notification.
      Specified by:
        `start` in interface `Startable`
      Parameters:
        `unkmaskedProperties` - the configuration properties
        `context` - the current context instance

    - #### stop

          public void stop()

      Description copied from interface: `Stoppable`
      Stop phase notification
      Specified by:
        `stop` in interface `Stoppable`

    - #### getGsonProvider

          public GsonProvider getGsonProvider()

      Specified by:
        `getGsonProvider` in interface `ElasticsearchService`

    - #### getWorkFactory

          public ElasticsearchWorkFactory getWorkFactory()

      Specified by:
        `getWorkFactory` in interface `ElasticsearchService`

    - #### getWorkProcessor

          public ElasticsearchWorkProcessor getWorkProcessor()

      Specified by:
        `getWorkProcessor` in interface `ElasticsearchService`

    - #### getSchemaCreator

          public ElasticsearchSchemaCreator getSchemaCreator()

      Specified by:
        `getSchemaCreator` in interface `ElasticsearchService`

    - #### getSchemaDropper

          public ElasticsearchSchemaDropper getSchemaDropper()

      Specified by:
        `getSchemaDropper` in interface `ElasticsearchService`

    - #### getSchemaMigrator

          public ElasticsearchSchemaMigrator getSchemaMigrator()

      Specified by:
        `getSchemaMigrator` in interface `ElasticsearchService`

    - #### getSchemaValidator

          public ElasticsearchSchemaValidator getSchemaValidator()

      Specified by:
        `getSchemaValidator` in interface `ElasticsearchService`

    - #### getSchemaTranslator

          public ElasticsearchSchemaTranslator getSchemaTranslator()

      Specified by:
        `getSchemaTranslator` in interface `ElasticsearchService`

    - #### getAnalyzerStrategyFactory

          public ElasticsearchAnalyzerStrategyFactory getAnalyzerStrategyFactory()

      Specified by:
        `getAnalyzerStrategyFactory` in interface `ElasticsearchService`

    - #### getMissingValueStrategy

          public MissingValueStrategy getMissingValueStrategy()

      Specified by:
        `getMissingValueStrategy` in interface `ElasticsearchService`

    - #### getQueryFactory

          public ElasticsearchQueryFactory getQueryFactory()

      Specified by:
        `getQueryFactory` in interface `ElasticsearchService`

    - #### getQueryOptions

          public ElasticsearchQueryOptions getQueryOptions()

      Specified by:
        `getQueryOptions` in interface `ElasticsearchService`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved